Bug 1869209 - [RHV 4.4] Change in CPU model name after RHVH upgrade
Summary: [RHV 4.4] Change in CPU model name after RHVH upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 4.4.1
Hardware: All
OS: Linux
high
high
Target Milestone: ovirt-4.4.2
: ---
Assignee: Milan Zamazal
QA Contact: Qin Yuan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-17 09:52 UTC by Ulhas Surse
Modified: 2020-12-24 10:33 UTC (History)
12 users (show)

Fixed In Version: rhv-4.4.2-4
Doc Type: Bug Fix
Doc Text:
Before this update, adding hosts with newer Intel CPUs to IBRS family clusters could fail, and the spec_ctrl flag was not detected. This update resolves the issue and you can now add hosts with modern Intel CPUs to the IBRS family clusters and the spec_ctrl flag is detected.
Clone Of:
Environment:
Last Closed: 2020-09-23 16:11:41 UTC
oVirt Team: Virt
Target Upstream Version:
mavital: needinfo+
qiyuan: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3807 0 None None None 2020-09-23 16:12:11 UTC

Description Ulhas Surse 2020-08-17 09:52:32 UTC
Description of problem:

1] After upgrading /Installing RHVH 4.4, the libvirt is identifying CPU name as Cascadelake-Server for Skylake server. 

2] It is also failing to add in the cluster due to missing feature spec_ctrl. 

 
Version-Release number of selected component (if applicable):
RHV 4.4

How reproducible:
Always

Steps to Reproduce:
1. Install RHVH 4.4
2. Try to add in IBRS family cluster
3. It fails and complains CPU flag is missing

Actual results:
The host is not added in the cluster

Expected results:
Host should come UP in the customer. 


Additional info:

Comment 2 Arik 2020-08-20 08:44:18 UTC
Milan, duplicate of bz 1854922?

Comment 3 Milan Zamazal 2020-08-20 08:58:27 UTC
Yes, it looks the same.

Comment 11 Qin Yuan 2020-08-27 10:16:58 UTC
Verified with:
vdsm-4.40.25-1.el8ev.x86_64
ovirt-engine-4.4.2.3-0.6.el8ev.noarch
redhat-virtualization-host-4.4.2-20200812.3.el8_2

Steps:
1. Test with Cascadelake Server(Intel(R) Xeon(R) Silver 4210 CPU @ 2.20GHz)
1) install RHVH 4.4 on the server:
[root@dell-per740xd-13 ~]# virsh -r capabilities
<capabilities>
  <host>
    <uuid>4c4c4544-004a-5410-8035-b4c04f593233</uuid>
    <cpu>
      <arch>x86_64</arch>
      <model>Cascadelake-Server</model>
      <vendor>Intel</vendor>
      <microcode version='83898113'/>

[root@dell-per740xd-13 ~]# cat /sys/devices/cpu/caps/pmu_name
skylake

[root@dell-per740xd-13 ~]# rpm -qa |grep micro
microcode_ctl-20191115-4.20200609.1.el8_2.x86_64

2) create 4.3 cluster with cpu type Intel Skylake Server IBRS SSBD MDS Family on 4.4 engine, add host to cluster
3) create 4.4 cluster with cpu type Secure Intel Skylake Server Family on 4.4 engine, add host to cluster

2. Test with Skylake server(Intel(R) Xeon(R) Silver 4110 CPU @ 2.10GHz)
1) install RHVH 4.4 on the server:
[root@dell-per740-28 ~]# virsh -r capabilities
<capabilities>
  <host>
    <uuid>01b4ad6e-1900-4101-8eea-bcfcfe9dee67</uuid>
    <cpu>
      <arch>x86_64</arch>
      <model>Skylake-Server-IBRS</model>
      <vendor>Intel</vendor>
      <microcode version='33581318'/>

[root@dell-per740-28 ~]# cat /sys/devices/cpu/caps/pmu_name
skylake

[root@dell-per740-28 ~]# rpm -qa |grep micro
microcode_ctl-20191115-4.20200609.1.el8_2.x86_64

2) create 4.3 cluster with cpu type Intel Skylake Server IBRS SSBD MDS Family on 4.4 engine, add host to cluster
3) create 4.4 cluster with cpu type Secure Intel Skylake Server Family on 4.4 engine, add host to cluster

Results:
1. Can add RHVH 4.4 Cascadelake server to 4.3 cluster with cpu type Intel Skylake Server IBRS SSBD MDS Family on 4.4 engine
2. Can add RHVH 4.4 Cascadelake server to 4.4 cluster with cpu type Secure Intel Skylake Server Family on 4.4 engine
3. Can add RHVH 4.4 Skylake server to 4.3 cluster with cpu type Intel Skylake Server IBRS SSBD MDS Family on 4.4 engine
4. Can add RHVH 4.4 Skylake server to 4.4 cluster with cpu type Secure Intel Skylake Server Family on 4.4 engine

Comment 15 errata-xmlrpc 2020-09-23 16:11:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat Virtualization security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3807


Note You need to log in before you can comment on or make changes to this bug.